<?php 

$apply = false;
$htmloptions = array();
if ( $info!==true && $info!==false ) {

    echo CHtml::tag("h2", array(), "Selected Display Settings") ."\n";

    echo CHtml::openTag("table")."\n";
        
    echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Resolution : ").CHtml::tag("td", array(), $info->resolution ) )."\n" ;
    echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Vertical refresh : ").CHtml::tag("td", array(), $info->refresh." Hz" ) )."\n" ;
    echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Aspect ratio : ").CHtml::tag("td", array(), $info->aspect ) )."\n" ;

    echo CHtml::closeTag("table")."\n";
}
if ( $info!==false ) {
    $apply = true;
    $htmloptions['disabled']='disabled';
}

echo CHtml::tag("h2", array(), "Display Settings") ."\n";


echo CHtml::errorSummary( $screen )  ."\n";
echo CHtml::errorSummary( $config )  ."\n";


echo CHtml::openTag("div", array("class"=>"yiiForm") );
echo CHtml::form();

echo CHtml::openTag("div", array("class"=>"simple") );
echo CHtml::label("Configuration type", "VMSelect");
$htmloptions_local = $htmloptions;
$htmloptions_local['onchange']= 'updateCustomMode()';
$htmloptions_local['id']= 'VMSelect';
echo CHtml::dropDownList("vmodeselect", "", array("Advanced", "Custom"), $htmloptions_local );
echo CHtml::closeTag("div" );

echo CHtml::openTag("div", array("class"=>"advanced_mode") );

$htmloptions['id']='Resolution';
echo CHtml::openTag("div", array("class"=>"simple") );
echo CHtml::activeLabel($screen, "resolution");
if ($apply)
    echo CHtml::activeHiddenField($screen, "resolution");
echo CHtml::activeDropDownList($screen, "resolution", $screen->resolutionList, $htmloptions);
echo CHtml::closeTag("div" );

$htmloptions['id']='ForceVFreq';
echo CHtml::openTag("div", array("class"=>"simple") );
echo CHtml::activeLabel($screen, "vfreq");
if ($apply)
    echo CHtml::activeHiddenField($screen, "vfreq");
echo CHtml::activeDropDownList($screen, "vfreq", $screen->default_force_vfreq, $htmloptions);
echo " Hz";
echo CHtml::closeTag("div" );

$htmloptions['id']='ForceSTDMode';
echo CHtml::openTag("div", array("class"=>"simple") );
echo CHtml::activeLabel($screen, "forcestdmode");

echo CHtml::activeCheckBox($screen, "forcestdmode", $htmloptions);
if ($apply)
    echo CHtml::activeHiddenField($screen, "forcestdmode");
echo CHtml::closeTag("div" );

$htmloptions['id']='Restrict';
echo CHtml::openTag("div", array("class"=>"simple") );
echo CHtml::activeLabel($screen, "type");
echo CHtml::activeDropDownList($screen, "type", $screen->fixed_mon_ar, $htmloptions);
if ($apply)
    echo CHtml::activeHiddenField($screen, "type");
echo CHtml::closeTag("div" );

echo CHtml::closeTag("div" );

echo CHtml::openTag("div", array("class"=>"custom_mode") );
    $htmloptions['size']=80;
    $htmloptions['id']='CustomMode';
    
    echo CHtml::openTag("div", array("class"=>"simple space") );
    echo CHtml::activeLabel($screen, "custom");
    echo CHtml::activeTextField($screen, "custom", $htmloptions );
    if ($apply)
        echo CHtml::activeHiddenField($screen, "custom");
    echo CHtml::closeTag("div" );
echo CHtml::closeTag("div" );


echo CHtml::openTag("div", array("class"=>"simple space") );
echo CHtml::activeLabel($screen, "screeenar");
echo CHtml::activeDropDownList($screen, "screeenar", $screen->default_mon_ar);
echo CHtml::closeTag("div" );


echo CHtml::openTag("div", array("class"=>"simple") );
echo CHtml::activeLabel($screen, "underscansupp");
echo CHtml::activeCheckBox($screen, "underscansupp");
echo CHtml::closeTag("div" );

echo CHtml::openTag("div", array("class"=>"simple") );
echo CHtml::activeLabel($screen, "dcoffsetsupp");
echo CHtml::activeCheckBox($screen, "dcoffsetsupp");
echo CHtml::closeTag("div" );

echo CHtml::openTag("div", array("class"=>"simple") );
echo CHtml::activeLabel($config, "overscan");
echo CHtml::activeDropDownList($config, "overscan", array(0,1,2,3,4,5));
echo CHtml::closeTag("div" );

echo CHtml::openTag("div", array("class"=>"simple") );
echo CHtml::activeLabel($config, "orientation");
echo CHtml::activeDropDownList($config, "orientation", $config->orientationsList);
echo CHtml::closeTag("div" );

echo CHtml::openTag("div", array("class"=>"simple") );
echo CHtml::activeLabel($config, "audio");
echo CHtml::activeCheckBox($config, "audio");
echo CHtml::closeTag("div" );


echo CHtml::openTag("div", array( 'class'=>'action') );
if ( $apply ) {
    echo CHtml::submitButton("Apply", array('name'=>'advanced') );
    echo CHtml::submitButton("Cancel" );
} else
    echo CHtml::submitButton("Check", array('name'=>'advanced') );
echo CHtml::closeTag("div" );


echo CHtml::endForm();

echo CHtml::closeTag("div" );
?>

<script type="text/javascript">
    function updateCustomMode() {
        
        var idVMSelect=document.getElementById("VMSelect");
        
        if ( idVMSelect.options[idVMSelect.selectedIndex].value==1 ){
            $('.advanced_mode').hide();
            $('.custom_mode').show();
        } else {
            $('.advanced_mode').show();
            $('.custom_mode').hide();
            
            var idCustomMode=document.getElementById("CustomMode");
            if ( idCustomMode==null ) return;
            
            idCustomMode.value = "";
        }
        
    }
    var idCustomMode=document.getElementById("CustomMode");
    if ( idCustomMode!=null ) {
       if ( idCustomMode.value!="" ) {
          var idVMSelect=document.getElementById("VMSelect");
          idVMSelect.selectedIndex=1;
       }
    }
	updateCustomMode();
</script>